-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFE4S
-- Description: 	4-Bit 3-state Buffer with Active High Enable, Single Pin Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFE4S
-- -----------------------------------------------------------------
ENTITY BUFE4S IS
    PorT(	E: IN std_logic:='U';
    		I0, I1, I2, I3 : IN std_logic:='U';
         	O0, O1, O2, O3 : OUT std_logic);
end BUFE4S;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFE4S
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFE4S IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O0 <= I0 when E='1' else 'Z';
   O1 <= I1 when E='1' else 'Z';
   O2 <= I2 when E='1' else 'Z';
   O3 <= I3 when E='1' else 'Z';

-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
