-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFE5S
-- Description: 	5-Bit 3-state Buffer with Active High Enable, Single Pin Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFE5S
-- -----------------------------------------------------------------
ENTITY BUFE5S IS
    PorT(	E: IN std_logic:='U';
    		I0, I1, I2, I3, I4 : IN std_logic:='U';
         	O0, O1, O2, O3, O4 : OUT std_logic);
end BUFE5S;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFE5S
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFE5S IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O0 <= I0 when E='1' else 'Z';
   O1 <= I1 when E='1' else 'Z';
   O2 <= I2 when E='1' else 'Z';
   O3 <= I3 when E='1' else 'Z';
   O4 <= I4 when E='1' else 'Z';

-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
