-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFT32S
-- Description: 	32-Bit 3-state Buffer with Active Low Enable, Single Pin Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFT32S
-- -----------------------------------------------------------------
ENTITY BUFT32S IS
    PorT(	T: IN std_logic:='U';
      		I0, I1, I2, I3, I4, I5, I6, I7, I8, I9, I10, I11, I12, I13,
      		I14, I15, I16, I17, I18, I19, I20, I21, I22, I23, I24, I25,
      		I26, I27, I28, I29, I30, I31 : IN std_logic:='U';
         	O0, O1, O2, O3, O4, O5, O6, O7, O8, O9, O10, O11, O12, O13,
         	O14, O15, O16, O17, O18, O19, O20, O21, O22, O23, O24, O25,
         	O26, O27, O28, O29, O30, O31 : OUT std_logic);
end BUFT32S;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFT32S
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFT32S IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O0 <= I0 when T='0' else 'Z';
   O1 <= I1 when T='0' else 'Z';
   O2 <= I2 when T='0' else 'Z';
   O3 <= I3 when T='0' else 'Z';
   O4 <= I4 when T='0' else 'Z';
   O5 <= I5 when T='0' else 'Z';
   O6 <= I6 when T='0' else 'Z';
   O7 <= I7 when T='0' else 'Z';
   O8 <= I8 when T='0' else 'Z';
   O9 <= I9 when T='0' else 'Z';
   O10 <= I10 when T='0' else 'Z';
   O11 <= I11 when T='0' else 'Z';
   O12 <= I12 when T='0' else 'Z';
   O13 <= I13 when T='0' else 'Z';
   O14 <= I14 when T='0' else 'Z';
   O15 <= I15 when T='0' else 'Z';
   O16 <= I16 when T='0' else 'Z';
   O17 <= I17 when T='0' else 'Z';
   O18 <= I18 when T='0' else 'Z';
   O19 <= I19 when T='0' else 'Z';
   O20 <= I20 when T='0' else 'Z';
   O21 <= I21 when T='0' else 'Z';
   O22 <= I22 when T='0' else 'Z';
   O23 <= I23 when T='0' else 'Z';
   O24 <= I24 when T='0' else 'Z';
   O25 <= I25 when T='0' else 'Z';
   O26 <= I26 when T='0' else 'Z';
   O27 <= I27 when T='0' else 'Z';
   O28 <= I28 when T='0' else 'Z';
   O29 <= I29 when T='0' else 'Z';
   O30 <= I30 when T='0' else 'Z';
   O31 <= I31 when T='0' else 'Z';

-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
