-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFT3B
-- Description: 	3-Bit 3-state Buffer with Active Low Enable, Bus Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFT3B
-- -----------------------------------------------------------------
ENTITY BUFT3B IS
    Port(	T: IN std_logic:='U';
    		I: IN  std_logic_vector(2 downto 0):=(others => 'U');
         	O: OUT std_logic_vector(2 downto 0));
end BUFT3B;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFT3B
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFT3B IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O <= I when T='0' else (others => 'Z');
-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
