-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFT5S
-- Description: 	5-Bit 3-state Buffer with Active Low Enable, Single Pin Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFT5S
-- -----------------------------------------------------------------
ENTITY BUFT5S IS
    PorT(	T: IN std_logic:='U';
    		I0, I1, I2, I3, I4 : IN std_logic:='U';
         	O0, O1, O2, O3, O4 : OUT std_logic);
end BUFT5S;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFT5S
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFT5S IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O0 <= I0 when T='0' else 'Z';
   O1 <= I1 when T='0' else 'Z';
   O2 <= I2 when T='0' else 'Z';
   O3 <= I3 when T='0' else 'Z';
   O4 <= I4 when T='0' else 'Z';

-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
