-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFT8S
-- Description: 	8-Bit 3-state Buffer with Active Low Enable, Single Pin Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFT8S
-- -----------------------------------------------------------------
ENTITY BUFT8S IS
    PorT(	T: IN std_logic:='U';
    		I0, I1, I2, I3, I4, I5, I6, I7 : IN std_logic:='U';
         	O0, O1, O2, O3, O4, O5, O6, O7 : OUT std_logic);
end BUFT8S;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFT8S
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFT8S IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O0 <= I0 when T='0' else 'Z';
   O1 <= I1 when T='0' else 'Z';
   O2 <= I2 when T='0' else 'Z';
   O3 <= I3 when T='0' else 'Z';
   O4 <= I4 when T='0' else 'Z';
   O5 <= I5 when T='0' else 'Z';
   O6 <= I6 when T='0' else 'Z';
   O7 <= I7 when T='0' else 'Z';

-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
