-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J32B_4B8
-- Description: 	1 x 32-Bit input bus to 8 x 4-Bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J32B_4B8 is
  port (
    I : in std_logic_vector(31 downto 0);
    O_A, O_B, O_C, O_D, O_E, O_F, O_G, O_H : out std_logic_vector(3 downto 0)
    );
end entity;

architecture STRUCTURE of J32B_4B8 is
begin

  O_A(3 downto 0) <= I(3 downto 0);
  O_B(3 downto 0) <= I(7 downto 4);
  O_C(3 downto 0) <= I(11 downto 8);
  O_D(3 downto 0) <= I(15 downto 12);

  O_E(3 downto 0) <= I(19 downto 16);
  O_F(3 downto 0) <= I(23 downto 20);
  O_G(3 downto 0) <= I(27 downto 24);
  O_H(3 downto 0) <= I(31 downto 28);
  
end architecture;
