-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J32B_8B4X
-- Description: 	1 x 32-Bit IO bus to 4 x 8-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J32B_8B4X is
  port (
    IO : inout std_logic_vector(31 downto 0);
    IOA, IOB, IOC, IOD : inout std_logic_vector(7 downto 0)
    );
end entity;

architecture STRUCTURE of J32B_8B4X is

signal VCC : std_logic;

begin

vcc <= '1';
  
 IOA(7 downto 0) <= IO(7 downto 0)when (VCC='1') else (Others =>'Z');
 IOB(7 downto 0) <= IO(15 downto 8)when (VCC='1') else (Others =>'Z');
 IOC(7 downto 0) <= IO(23 downto 16)when (VCC='1') else (Others =>'Z');
 IOD(7 downto 0) <= IO(31 downto 24)when (VCC='1') else (Others =>'Z');
  
 IO(7 downto 0)   <= IOA(7 downto 0);
 IO(15 downto 8)  <= IOB(7 downto 0); 
 IO(23 downto 16) <= IOC(7 downto 0);
 IO(31 downto 24) <= IOD(7 downto 0);
 
end architecture;
