-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFE12S
-- Description: 	12-Bit 3-state Buffer with Active High Enable, Single Pin Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFE12S
-- -----------------------------------------------------------------
ENTITY BUFE12S IS
    PorT(	E: IN std_logic:='U';
    		I0, I1, I2, I3, I4, I5, I6, I7, I8, I9, I10, I11 : IN std_logic:='U';
         	O0, O1, O2, O3, O4, O5, O6, O7, O8, O9, O10, O11 : OUT std_logic);
end BUFE12S;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFE12S
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFE12S IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O0 <= I0 when E='1' else 'Z';
   O1 <= I1 when E='1' else 'Z';
   O2 <= I2 when E='1' else 'Z';
   O3 <= I3 when E='1' else 'Z';
   O4 <= I4 when E='1' else 'Z';
   O5 <= I5 when E='1' else 'Z';
   O6 <= I6 when E='1' else 'Z';
   O7 <= I7 when E='1' else 'Z';
   O8 <= I8 when E='1' else 'Z';
   O9 <= I9 when E='1' else 'Z';
   O10 <= I10 when E='1' else 'Z';
   O11 <= I11 when E='1' else 'Z';

-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
