-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFE16S
-- Description: 	16-Bit 3-state Buffer with Active High Enable, Single Pin Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFE16S
-- -----------------------------------------------------------------
ENTITY BUFE16S IS
    PorT(	E: IN std_logic:='U';
    		I0, I1, I2, I3, I4, I5, I6, I7, I8, I9, I10, I11, I12, I13, I14, I15 : IN std_logic:='U';
         	O0, O1, O2, O3, O4, O5, O6, O7, O8, O9, O10, O11, O12, O13, O14, O15 : OUT std_logic);
end BUFE16S;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFE16S
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFE16S IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O0 <= I0 when E='1' else 'Z';
   O1 <= I1 when E='1' else 'Z';
   O2 <= I2 when E='1' else 'Z';
   O3 <= I3 when E='1' else 'Z';
   O4 <= I4 when E='1' else 'Z';
   O5 <= I5 when E='1' else 'Z';
   O6 <= I6 when E='1' else 'Z';
   O7 <= I7 when E='1' else 'Z';
   O8 <= I8 when E='1' else 'Z';
   O9 <= I9 when E='1' else 'Z';
   O10 <= I10 when E='1' else 'Z';
   O11 <= I11 when E='1' else 'Z';
   O12 <= I12 when E='1' else 'Z';
   O13 <= I13 when E='1' else 'Z';
   O14 <= I14 when E='1' else 'Z';
   O15 <= I15 when E='1' else 'Z';

-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
