-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	BUFT9S
-- Description: 	9-Bit 3-state Buffer with Active Low Enable, Single Pin Version
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

LIBRARY ieee;
    USE ieee.std_logic_1164.ALL;

-- -----------------------------------------------------------------
-- Entity for BUFT9S
-- -----------------------------------------------------------------
ENTITY BUFT9S IS
    PorT(	T: IN std_logic:='U';
    		I0, I1, I2, I3, I4, I5, I6, I7, I8 : IN std_logic:='U';
         	O0, O1, O2, O3, O4, O5, O6, O7, O8 : OUT std_logic);
end BUFT9S;
-- -----------------------------------------------------------------

-- -----------------------------------------------------------------
-- Architecture behav for BUFT9S
-- -----------------------------------------------------------------
ARCHITECTURE behav OF BUFT9S IS
-- -----------------------------------------------------------------
-- -----------------------------------------------------------------
begin
-- -----------------------------------------------------------------

   O0 <= I0 when T='0' else 'Z';
   O1 <= I1 when T='0' else 'Z';
   O2 <= I2 when T='0' else 'Z';
   O3 <= I3 when T='0' else 'Z';
   O4 <= I4 when T='0' else 'Z';
   O5 <= I5 when T='0' else 'Z';
   O6 <= I6 when T='0' else 'Z';
   O7 <= I7 when T='0' else 'Z';
   O8 <= I8 when T='0' else 'Z';

-- -----------------------------------------------------------------
end behav;
-- -----------------------------------------------------------------
