-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J16B_8B2X
-- Description: 	1 x 16-bit IO bus to 2 x 8-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J16B_8B2X is
  port (
    IO : inout std_logic_vector(15 downto 0);
    IOA, IOB : inout std_logic_vector(7 downto 0)
    );
end entity;

architecture STRUCTURE of J16B_8B2X is

signal vcc : std_logic;
begin
  VCC <= '1';

  IOA <= (IO(7),IO(6),IO(5),IO(4),IO(3),IO(2),IO(1),IO(0)) 
		when (VCC = '1') else (Others =>'Z');

  IO(0) <= IOA(0);
  IO(1) <= IOA(1);
  IO(2) <= IOA(2);
  IO(3) <= IOA(3);
  IO(4) <= IOA(4);
  IO(5) <= IOA(5);
  IO(6) <= IOA(6);
  IO(7) <= IOA(7);
  
  IOB <= (IO(15),IO(14),IO(13),IO(12),IO(11),IO(10),IO(9),IO(8)) 
		when (VCC = '1') else (Others =>'Z');

  IO(8)  <= IOB(0);
  IO(9)  <= IOB(1);
  IO(10) <= IOB(2);
  IO(11) <= IOB(3);
  IO(12) <= IOB(4);
  IO(13) <= IOB(5);
  IO(14) <= IOB(6);
  IO(15) <= IOB(7);
  
end architecture;
