-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J32B_4B8X
-- Description: 	1 x 32-Bit IO bus to 8 x 4-Bit IO bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J32B_4B8X is
  port (
    IO : inout std_logic_vector(31 downto 0);
    IOA, IOB, IOC, IOD, IOE, IOF, IOG, IOH : inout std_logic_vector(3 downto 0)
    );
end entity;

architecture STRUCTURE of J32B_4B8X is

signal vcc : std_logic;
begin

vcc <= '1';

  IOA(3 downto 0) <= IO(3 downto 0) when (VCC='1') else (Others =>'Z');
  IOB(3 downto 0) <= IO(7 downto 4) when (VCC='1') else (Others =>'Z');
  IOC(3 downto 0) <= IO(11 downto 8) when (VCC='1') else (Others =>'Z');
  IOD(3 downto 0) <= IO(15 downto 12)when (VCC='1') else (Others =>'Z');  
  IOE(3 downto 0) <= IO(19 downto 16) when (VCC='1') else (Others =>'Z');
  IOF(3 downto 0) <= IO(23 downto 20) when (VCC='1') else (Others =>'Z');
  IOG(3 downto 0) <= IO(27 downto 24) when (VCC='1') else (Others =>'Z');
  IOH(3 downto 0) <= IO(31 downto 28)when (VCC='1') else (Others =>'Z');
  
  IO(3 downto 0)   <= IOA(3 downto 0);
  IO(7 downto 4)   <= IOB(3 downto 0);
  IO(11 downto 8)  <= IOC(3 downto 0);
  IO(15 downto 12) <= IOD(3 downto 0);  
  IO(19 downto 16) <= IOE(3 downto 0);
  IO(23 downto 20) <= IOF(3 downto 0);
  IO(27 downto 24) <= IOG(3 downto 0);
  IO(31 downto 28) <= IOH(3 downto 0); 

  
end architecture;
