-- -----------------------------------------------------------------
-- "Copyright (C) Altium Limited 2003"
-- -----------------------------------------------------------------
-- Component Name: 	J4B8_32B
-- Description: 	8 x 4-Bit input bus to 1 x 32-bit output bus
-- Core Revision: 	1.00.00
-- -----------------------------------------------------------------
-- Modifications with respect to Version  : 
--
--
-- -----------------------------------------------------------------

library IEEE;
use IEEE.Std_Logic_1164.all;

entity J4B8_32B is
  port (
    I_A, I_B, I_C, I_D, I_E, I_F, I_G, I_H : in std_logic_vector(3 downto 0);
    O : out std_logic_vector(31 downto 0)
    );
end entity;

architecture STRUCTURE of J4B8_32B is
begin

  O(3 downto 0) <= I_A(3 downto 0);
  O(7 downto 4) <= I_B(3 downto 0);
  O(11 downto 8) <= I_C(3 downto 0);
  O(15 downto 12) <= I_D(3 downto 0);

  O(19 downto 16) <= I_E(3 downto 0);
  O(23 downto 20) <= I_F(3 downto 0);
  O(27 downto 24) <= I_G(3 downto 0);
  O(31 downto 28) <= I_H(3 downto 0);
  
end architecture;
